Simple Machines Community Forum

Simple Machines => News and Updates => Topic started by: Compuart on June 20, 2005, 12:48:40 PM

Title: SMF 1.0.5 released
Post by: Compuart on June 20, 2005, 12:48:40 PM
Simple Machines is happy to release a new update to Simple Machines Forum 1.0. This release addresses a security issue in the most recent version of SMF.

As this is a critical release, you can easily upgrade by one of the following ways:


This will most likely be the last release of the 1.0 line before we release SMF 1.1 Beta 3 Public. We do nevertheless encourage you to upgrade to 1.0.5 immediately, even if you mean to update to 1.1 Beta 3 Public when it is available.
Title: Re: SMF 1.0.5 released
Post by: Grek.Kamchatka on June 22, 2005, 11:02:04 PM
Thq very mach!!!
Title: Re: SMF 1.0.5 released
Post by: 1MileCrash on June 22, 2005, 11:05:13 PM
holy crap. Another one?!
Title: Re: SMF 1.0.5 released
Post by: 1MileCrash on June 22, 2005, 11:06:17 PM
wow. Updated already. That was even easier than the last.
Title: Re: SMF 1.0.5 released
Post by: codenaught on June 22, 2005, 11:08:25 PM
Yah, another release.  :)

Updated in a few seconds with the package manager.  :P
Title: Re: SMF 1.0.5 released
Post by: ECCShaman09 on June 22, 2005, 11:21:10 PM
Take this upgrade seriously. I am using 1.0.4 and the security of the program was breached twice, messing up the board twice.

Thanks very much to the SMF team for addressing this serious problem. It's good to have a team that listens.
Title: Re: SMF 1.0.5 released
Post by: forumite on June 22, 2005, 11:22:49 PM
During my install of the patch, the Package Manager reported a failure with Search.php. Am I able to extract from a full 1.0.5 download and copy it to the Sources directory, overwriting the old file?

TIA
Title: Re: SMF 1.0.5 released
Post by: Owdy on June 22, 2005, 11:24:00 PM
Use upgrade package. Unpack, upload, run upgrade.php. You must install mods again after that. If you dont have any mods and you are using 1.0.4, then you can use update package.
Title: Re: SMF 1.0.5 released
Post by: forumite on June 22, 2005, 11:25:05 PM
OK thanks for prompt response Owdy.
Title: Re: SMF 1.0.5 released
Post by: Grek.Kamchatka on June 22, 2005, 11:27:16 PM
The upgrader found some old or outdated files.

Please make certain you uploaded the new versions of all the files included in the package

What is this? I'm extract all the new files from archive to my smf directory and do upgrade.php =(
Title: Re: SMF 1.0.5 released
Post by: dtm.exe on June 22, 2005, 11:29:36 PM
Great job, dev team :).

-Dan The Man
Title: Re: SMF 1.0.5 released
Post by: [Unknown] on June 22, 2005, 11:31:50 PM
Take this upgrade seriously. I am using 1.0.4 and the security of the program was breached twice, messing up the board twice.

Thanks very much to the SMF team for addressing this serious problem. It's good to have a team that listens.

As I said before, this has nothing to do with SMF and instead indicates a problem in your server's configuration or in some other software you have installed.  While there was a security problem found, it COULD NOT have been used to give you the problems you experienced.

I strongly suggest you look into making sure your server is set up properly, using open_basedir and similar, and you have the latest versions of all other software installed, including PHP, Apache, MySQL, and mail server you might have, and other software.

-[Unknown]
Title: Re: SMF 1.0.5 released
Post by: ECCShaman09 on June 22, 2005, 11:38:54 PM
Take this upgrade seriously. I am using 1.0.4 and the security of the program was breached twice, messing up the board twice.

Thanks very much to the SMF team for addressing this serious problem. It's good to have a team that listens.

As I said before, this has nothing to do with SMF and instead indicates a problem in your server's configuration or in some other software you have installed.  While there was a security problem found, it COULD NOT have been used to give you the problems you experienced.

I strongly suggest you look into making sure your server is set up properly, using open_basedir and similar, and you have the latest versions of all other software installed, including PHP, Apache, MySQL, and mail server you might have, and other software.

-[Unknown]

I am with one of the BIG server companies, not one of the fly by night services, and they have informed me that the server is patched and upgraded to current software versions. They are currently looking into the problem, from an inside and outside basis. I'll fill in the blanks as I learn more, no matter what direction it goes.
Title: Re: SMF 1.0.5 released
Post by: wildcard on June 23, 2005, 12:08:44 AM
Weird.  1.0.5 isn't showing up in my Package Manager.

And I get this message when I click on the "update your forum" link on the main Admin page.

"The package you are trying to download or install is either corrupt or not compatible with this version of SMF."

Any ideas?

Edit:  Nevermind.  I got it working fine through the "upload package" option.
Title: Re: SMF 1.0.5 released
Post by: catfished on June 23, 2005, 12:26:39 AM
Weird.  1.0.5 isn't showing up in my Package Manager.

And I get this message when I click on the "update your forum" link on the main Admin page.

"The package you are trying to download or install is either corrupt or not compatible with this version of SMF."

Any ideas?

I had the same problem clicking on the "update your forum link" but if you click on the "Package Manager" and then click on the link where it says "A security issue has been identified in SMF 1.0.4. You can install this patch (click here to install) to easily update yourself to the latest version" it works fine. I just updated 4 forums in 2 minutes.(https://www.simplemachines.org/community/proxy.php?request=http%3A%2F%2Fwww.catfished.com%2Fthumb.gif&hash=1189bc84ce7b9dda501957a9c11faf2d)
Title: Re: SMF 1.0.5 released
Post by: dtm.exe on June 23, 2005, 12:35:34 AM
I get this error when I try to upgrade.

Quote
The upgrader found some old or outdated files.

Please make certain you uploaded the new versions of all the files included in the package.

Click here to try again.

-Dan The Man
Title: Re: SMF 1.0.5 released
Post by: XBleed on June 23, 2005, 12:48:18 AM
I get this error when I try to upgrade.

Quote
The upgrader found some old or outdated files.

Please make certain you uploaded the new versions of all the files included in the package.

Click here to try again.

-Dan The Man

So do I...

It looks like the problem is when it checks the current SMF version.  I uploaded the files, attempted to run upgrade.php, and got that error.  My board still runs fine, and the copyright does say, "1.0.5"

Did it still upgrade, or is that the reason the error is showing up in the first place?
Title: Re: SMF 1.0.5 released
Post by: [Unknown] on June 23, 2005, 12:49:15 AM
There's no need to run upgrade.php for this release.

-[Unknown]
Title: Re: SMF 1.0.5 released
Post by: dtm.exe on June 23, 2005, 12:52:17 AM
There's no need to run upgrade.php for this release.

-[Unknown]

Oh, so can upgrade.php be removed from the archive altogether, so as to not confuse people, or is it needed for upgrades before SMF 1.0.4?

-Dan The Man
Title: Re: SMF 1.0.5 released
Post by: XBleed on June 23, 2005, 12:53:10 AM
There's no need to run upgrade.php for this release.

-[Unknown]
Good to know.

Thanks for the update, SMF.
Title: Re: SMF 1.0.5 released
Post by: Grek.Kamchatka on June 23, 2005, 01:21:02 AM
I get this error when I try to upgrade.

Quote
The upgrader found some old or outdated files.

Please make certain you uploaded the new versions of all the files included in the package.

Click here to try again.

-Dan The Man

So do I...

It looks like the problem is when it checks the current SMF version.  I uploaded the files, attempted to run upgrade.php, and got that error.  My board still runs fine, and the copyright does say, "1.0.5"

Did it still upgrade, or is that the reason the error is showing up in the first place?
Open upgrade.php replace 1.0.4 with 1.0.5. Run upgrade.php. Enjoy!
Title: Re: SMF 1.0.5 released
Post by: CyberOps on June 23, 2005, 01:23:43 AM
Update worked great again, just like last time i used the update option because i can't use the package manager yet because of the safe protection. Looking forward to the new version that is currently being beta tested here so i can use this manager to.
Title: Re: SMF 1.0.5 released
Post by: nokonium on June 23, 2005, 02:05:43 AM
Ran the patch via the Latest Packages route on all my variations with mods in place and no problems. That has to be the best way with the number of mods available and used.
Title: Re: SMF 1.0.5 released
Post by: Richard North on June 23, 2005, 02:36:14 AM
no problems.

And that's no mean acheivement with you Noko. :)

(I'm co-admin on the same board ;) )
Title: Re: SMF 1.0.5 released
Post by: Trekkie101 on June 23, 2005, 02:38:11 AM
Completed in seconds.

Thanks!
Title: Re: SMF 1.0.5 released
Post by: Grek.Kamchatka on June 23, 2005, 02:44:29 AM
Soory 4 my English. I'm from Russia.
My Q. When members post reply there is an error occurred
"mail() is not supported in this PHP build
File: /usr/home/clients/www.pkforum.ru/htdocs/Sources/Subs-Post.php
строка: 377"
When i used build 1.0.4 everything was ok, but with 1.0.5 build a have this mistake=(
In last version is new function? Whether it is possible to avoid the given mistake if to put the older version? Or all problems because of my PHP version
Title: Re: SMF 1.0.5 released
Post by: Aaron on June 23, 2005, 03:21:24 AM
Took me less than half a minute!

Great, thanks!
Aaron.
Title: Re: SMF 1.0.5 released
Post by: Cheese-Burger on June 23, 2005, 04:10:32 AM
Nice and easy, as before. Good job guys  :D
Title: Re: SMF 1.0.5 released
Post by: raedzaro on June 23, 2005, 05:05:31 AM
Hi,

I did the update but its still give me
Powered by SMF 1.0.4
Title: Re: SMF 1.0.5 released
Post by: carhartt on June 23, 2005, 05:26:18 AM
no problems, worked fine! thx 2 the smf-team.

is there a changelog for this patch?!

kind regards,

carhartt.
Title: Re: SMF 1.0.5 released
Post by: Powerbob on June 23, 2005, 05:28:54 AM
installed in seconds with the package manager ;D

Thanks for a job well done guys ;)


Powerbob
Title: Re: SMF 1.0.5 released
Post by: Aaron on June 23, 2005, 05:44:26 AM
Hi,

I did the update but its still give me
Powered by SMF 1.0.4

Try re-uploading the index.php in the main directory of your forum. That should do it! :)

Aaron.
Title: Re: SMF 1.0.5 released
Post by: Mike Frith on June 23, 2005, 07:48:55 AM
great job... installed via package manager and done within seconds...
Title: Re: SMF 1.0.5 released
Post by: Gazmanafc on June 23, 2005, 08:08:15 AM
Same. Upgraded my test forum for public releases.
Title: Re: SMF 1.0.5 released
Post by: King RoRo on June 23, 2005, 08:48:09 AM
that's cooool
upgarded in few seconds.....



thanks alot. ;)
Title: Re: SMF 1.0.5 released
Post by: raedzaro on June 23, 2005, 09:53:30 AM
done but manually
Title: Re: SMF 1.0.5 released
Post by: [Unknown] on June 23, 2005, 09:54:05 AM
Soory 4 my English. I'm from Russia.
My Q. When members post reply there is an error occurred
"mail() is not supported in this PHP build
File: /usr/home/clients/www.pkforum.ru/htdocs/Sources/Subs-Post.php
строка: 377"
When i used build 1.0.4 everything was ok, but with 1.0.5 build a have this mistake=(
In last version is new function? Whether it is possible to avoid the given mistake if to put the older version? Or all problems because of my PHP version

This is a completely separate issue.  There's not much we can do about it, it's a PHP issue - but, please start a new topic about it if you want more information.

-[Unknown]
Title: Re: SMF 1.0.5 released
Post by: mennou on June 23, 2005, 10:44:19 AM
 Notice: Undefined index: chatAlt in /usr/home/mixspot/public_html/forum2/Sources/Load.php(1040) : eval()'d code on line 710

An Error Has Occurred!
2: copy(/usr/home/mixspot/public_html/forum2/index.php~): failed to open stream: Permission denied
File: /usr/home/mixspot/public_html/forum2/Sources/Subs-Package.php
Line: 1307 
 

how can i fix that??
Title: Re: SMF 1.0.5 released
Post by: Isaac on June 23, 2005, 11:05:54 AM
Quote
Quote
The XML page cannot be displayed
Cannot view XML input using XSL style sheet. Please correct the error and then click the Refresh button, or try again later.


--------------------------------------------------------------------------------

Only one top level element is allowed in an XML document. Error processing resource 'http://www.mxemu.com/forum/index.php?a...

<b>Notice</b>:  Use of undefined constant PHP_SELF - assumed 'PHP_SELF' in <b>/home/mxemu/domains/mxemu.co...
Does anyone know how to fix this?
Title: Re: SMF 1.0.5 released
Post by: [Unknown] on June 23, 2005, 11:25:21 AM
Notice: Undefined index: chatAlt in /usr/home/mixspot/public_html/forum2/Sources/Load.php(1040) : eval()'d code on line 710

This is because of modifications you've made.

Quote
An Error Has Occurred!
2: copy(/usr/home/mixspot/public_html/forum2/index.php~): failed to open stream: Permission denied
File: /usr/home/mixspot/public_html/forum2/Sources/Subs-Package.php
Line: 1307

You need to make forum2 writable.  How do I use chmod? (http://www.simplemachines.org/community/index.php?topic=23690.0)

Does anyone know how to fix this?

That isn't something SMF is doing.  You'd need to show the full error message for us to see, but I would guess it's caused by modifications you've made.  Please post a new topic with the FULL error message - this is not enough:

<b>Notice</b>:  Use of undefined constant PHP_SELF - assumed 'PHP_SELF' in <b>/home/mxemu/domains/mxemu.co...

-[Unknown]
Title: Re: SMF 1.0.5 released
Post by: Blank Space on June 23, 2005, 12:29:02 PM
I updated in seconds with the package manager.  Another great thing about SMF, everything works properly. :p
Title: Re: SMF 1.0.5 released
Post by: † ÐëepÇuT¹ † on June 23, 2005, 12:30:24 PM
Updated but I feel like an abused pet, for I don't know what is new in this? (what security issue was fixed?)
Title: Re: SMF 1.0.5 released
Post by: 1MileCrash on June 23, 2005, 12:33:50 PM
i dont know if it's a good idea to say that out loud, cause then hacker people could go find sites using 1.0.4 and hackzorz them. Oh noes!
Title: Re: SMF 1.0.5 released
Post by: Trekkie101 on June 23, 2005, 12:42:29 PM
Yeah I doubt anyone will be in any hurry, if at all, of posting such weaknesses, they would probably be deleted on the spot.

Also, there isnt a changelog documenting 1.0.5.

My bet is, the changelog will be updated, when 1.1 goes public.
Title: Re: SMF 1.0.5 released
Post by: † ÐëepÇuT¹ † on June 23, 2005, 12:49:51 PM
i dont know if it's a good idea to say that out loud, cause then hacker people could go find sites using 1.0.4 and hackzorz them. Oh noes!

That happened in PhpBB they said in upgrade the previous one you could get passwords through PM and I found out how LOL.
Title: Re: SMF 1.0.5 released
Post by: 1MileCrash on June 23, 2005, 12:52:40 PM
hoW!! I have some enemys....
Title: Re: SMF 1.0.5 released
Post by: Daniel D. on June 23, 2005, 01:01:22 PM
hoW!! I have some enemys....
*lol* It's funny, but don't do it, it'll cause more trouble and it's not the finest way to "kill" your enemies... :-\
Title: Re: SMF 1.0.5 released
Post by: dtm.exe on June 23, 2005, 01:12:25 PM
Upgraded to SMF 1.0.5 on my test forums and clan site.  Upgrade went smoothly :).

-Dan The Man
Title: Re: SMF 1.0.5 released
Post by: Gazmanafc on June 23, 2005, 02:14:27 PM
My bet is, the changelog will be updated, when 1.1 goes public.

Boy howdy, there is a looooooooooooooooong changelog in for Beta 1 - 3.
Title: Re: SMF 1.0.5 released
Post by: Killer Possum on June 23, 2005, 04:12:33 PM
Boy howdy, there is a looooooooooooooooong changelog in for Beta 1 - 3.

You left out a few o's
Title: Re: SMF 1.0.5 released
Post by: Trekkie101 on June 23, 2005, 04:27:42 PM
I know ive seen it ;)

Title: Re: SMF 1.0.5 released
Post by: Jazhawk on June 23, 2005, 04:45:11 PM
Is it necessary to upgrade to SMF 0.4 before 0.5?  I didn't run the update to 0.4 and I hope 0.5 will install because 0.4 would not.  Also, why isn't 0.5 in the package manager?

-Jazhawk
Title: Re: SMF 1.0.5 released
Post by: [Unknown] on June 23, 2005, 04:46:40 PM
It is necessary to upgrade to 1.0.4 first, yes.  I would suggest uploading the files from the upgrade zip file.

-[Unknown]
Title: Re: SMF 1.0.5 released
Post by: Gazmanafc on June 23, 2005, 04:47:28 PM
Because you're on 1.0.3, 1.0.5 wouldnt appear in your package manager.
Title: Re: SMF 1.0.5 released
Post by: Trekkie101 on June 23, 2005, 04:51:30 PM
Upgrade to 1.0.4 then 1.0.5 should appear in the package manager.

Or use the Upgrade package from the downloads page, that will update it for you, but ruin any mods.

EDIT: [Unknown] beat me to it.
EDIT2: and gary

Oh and

 Page created in 28.282 seconds with 10 queries.
Title: Re: SMF 1.0.5 released
Post by: Jazhawk on June 23, 2005, 05:01:28 PM
I'm a little paranoid about manually modifying these scrips because I've blown my board out before.  I'll need to figure out the 04 upgrade first.  Dang!  :-[ Thanx guys.
 
Type Action Description
1. Execute Modification ./changelog.txt Success
2. Execute Modification ./changelog-themes.txt Success
3. Execute Modification ./index.php Success
4. Execute Modification ./Sources/Admin.php Success
5. Execute Modification ./Sources/Subs.php Failure
6. Execute Modification ./Themes/default/Admin.template.php Success
7. Execute Modification ./Themes/default/languages/Admin.english.php Success
8. Execute Modification ./Themes/default/Profile.template.php Success

-Jazhawk
Title: Getting failures when updating?
Post by: Owdy on June 23, 2005, 05:09:44 PM
In every update, there are tons of guestions about package manager issues. If you have tons of MODs, they change SMF code. Then there will be some failures at some point. If you have MODS:

1.download upgrade package
2. unpack it to your hard drive
3 upload and overwrite *all* files
4. run upgrade.php
5. install mod again
Title: Re: SMF 1.0.5 released
Post by: Kindred on June 23, 2005, 05:24:41 PM
Alternatively, if you have mods (and you know what you're doing), you can look in the .mod file of the upgrade in your package manager and apply the updated code, manually...
Title: Re: SMF 1.0.5 released
Post by: IbrahimA on June 23, 2005, 09:31:50 PM
installed it quick and easily... now if only microsoft could fix their updating software. or at least my computer, since the problem seems to be on my computer. i just love how simple it is to update SMF. kudos to the dev team!
Title: Re: SMF 1.0.5 released
Post by: Mark_Breznay on June 23, 2005, 10:21:07 PM
Piece of cake!
Mark
Title: Re: SMF 1.0.5 released
Post by: Harelin on June 23, 2005, 11:34:30 PM
My forum is heavily modded, and the upgrade to 1.0.4 didn't seem significant enough to risk screwing up my mods with an update.  And it looks like 1.0.4 exposed a vulnerability that wasn't present in 1.0.3... so I'm considering just staying where I am.

But will the upgrade to 1.1 require 1.0.5 or can I do it from 1.0.3?
Title: Re: SMF 1.0.5 released
Post by: [Unknown] on June 23, 2005, 11:37:03 PM
My forum is heavily modded, and the upgrade to 1.0.4 didn't seem significant enough to risk screwing up my mods with an update.  And it looks like 1.0.4 exposed a vulnerability that wasn't present in 1.0.3... so I'm considering just staying where I am.

No.  1.0.4, 1.0.3, 1.0.2, 1.0.1, 1.0, 1.0 (preview), 1.0 RC2, 1.0 RC1, 1.0 Beta 6, 1.0 Beta 5 and possibly other versions all have the problem.  Please update as soon as possible to 1.0.5, whether you are using 1.0.3 or not.

Quote
But will the upgrade to 1.1 require 1.0.5 or can I do it from 1.0.3?

You will lose all mods when you upgrade to 1.1, after which you can install them or modify it again.  A lot of things have changed in 1.1.

-[Unknown]
Title: Re: SMF 1.0.5 released
Post by: xtremecruiser on June 24, 2005, 01:34:36 AM
I'm a little paranoid about manually modifying these scrips because I've blown my board out before.  I'll need to figure out the 04 upgrade first.  Dang!  :-[ Thanx guys.
 
Type Action Description
1. Execute Modification ./changelog.txt Success
2. Execute Modification ./changelog-themes.txt Success
3. Execute Modification ./index.php Success
4. Execute Modification ./Sources/Admin.php Success
5. Execute Modification ./Sources/Subs.php Failure
6. Execute Modification ./Themes/default/Admin.template.php Success
7. Execute Modification ./Themes/default/languages/Admin.english.php Success
8. Execute Modification ./Themes/default/Profile.template.php Success

-Jazhawk

I get the same thing again as with 1.04

I know I can do the quote below but I have had forums crash and burn with it before

Quote
In every update, there are tons of guestions about package manager issues. If you have tons of Mods, they change SMF code. Then there will be some failures at some point. If you have MODS:

1.download upgrade package
2. unpack it to your hard drive
3 upload and overwrite *all* files
4. run upgrade.php
5. install mod again

Now the next one really scares me since I am running MK portal, Coppermine Photo Gallery, and Mambo, plus a forum heavily modified with custom templates and most of the mods in the DB.
What options do I have but to srtip out everything and run a plain forum.
How are the integrations with MK portal, Coppermine Photo Gallery, and Mambo going to be effected with the current upgrade and when 1.1 comes out ?


My forum is heavily modded, and the upgrade to 1.0.4 didn't seem significant enough to risk screwing up my mods with an update.  And it looks like 1.0.4 exposed a vulnerability that wasn't present in 1.0.3... so I'm considering just staying where I am.

No.  1.0.4, 1.0.3, 1.0.2, 1.0.1, 1.0, 1.0 (preview), 1.0 RC2, 1.0 RC1, 1.0 Beta 6, 1.0 Beta 5 and possibly other versions all have the problem.  Please update as soon as possible to 1.0.5, whether you are using 1.0.3 or not.

Quote
But will the upgrade to 1.1 require 1.0.5 or can I do it from 1.0.3?

You will lose all mods when you upgrade to 1.1, after which you can install them or modify it again.  A lot of things have changed in 1.1.

-[Unknown]
Title: Re: SMF 1.0.5 released
Post by: Champi on June 24, 2005, 02:05:34 AM
i had 1.0.3. running because of the problems with the tags...

now i used the patch trough  packagemanager first to 1..0.4. and then to 1.0.5. .. all my mods works smootlhy...

just the tag problems stays... which mod was responsible for this...

also the sources directory stays at version: Sources 1.0.2


i have these mods running...:

1. Redirection Boards - Core 1.12  [ Pas MOD toe ] [ Overzicht bestanden ] [ Verwijderen ] 
2. SMF Arcade 1.2  [ Pas MOD toe ] [ Overzicht bestanden ] [ Verwijderen ] 
3. SMF 1.0.5 Update Package 1.0.5   [ Overzicht bestanden ] [ Verwijderen ] 
4. OnLine Users Today 1.2  [ Pas MOD toe ] [ Overzicht bestanden ] [ Verwijderen ] 
5. Location Mod - Additional Maps 1.1.1   [ Overzicht bestanden ] [ Verwijderen ] 
6. SMF Arcade 1.1  [ Pas MOD toe ] [ Overzicht bestanden ] [ Verwijderen ] 
7. SMF 1.0.4 Update Package 1.0.4   [ Overzicht bestanden ] [ Verwijderen ] 
8. Location Mod 1.1.1   [ Overzicht bestanden ] [ Verwijderen ] 
9. Location Mod - Who Flags 1.1.1   

should i delete the patch from 1.0.4. and some other of my mods to solve that tag problem....? or should i upload the subs.php and modify it again...

thnx in forward
Title: Re: SMF 1.0.5 released
Post by: Champi on June 24, 2005, 02:49:18 AM
I replaced Subs.php with the one from 1.0.5.... made modifications for MKPortal...

Problem with the tags is solved.. it was subs.php indeed...

Greetz
Title: Re: SMF 1.0.5 released
Post by: azuregenesis on June 24, 2005, 07:22:54 AM
yay! updated!

had problems updating through package manager, but everything went smoothly after upgrading through the admin panel :)
Title: Re: SMF 1.0.5 released
Post by: Daniel D. on June 24, 2005, 07:30:42 AM
yay! updated!

had problems updating through package manager, but everything went smoothly after upgrading through the admin panel :)
Which is the same - the package manager IS in the admin panel.
Title: Re: SMF 1.0.5 released
Post by: azuregenesis on June 24, 2005, 10:00:51 AM
yay! updated!

had problems updating through package manager, but everything went smoothly after upgrading through the admin panel :)
Which is the same - the package manager IS in the admin panel.

lol. i meant the "upgrade your forum" link. in the admin panel homepage.
Title: Re: SMF 1.0.5 released
Post by: xenovanis on June 24, 2005, 10:29:00 AM
yay! updated!

had problems updating through package manager, but everything went smoothly after upgrading through the admin panel :)
Which is the same - the package manager IS in the admin panel.

lol. i meant the "upgrade your forum" link. in the admin panel homepage.

Well, that's okay then, because that is the only way you can upgrade your forum with the packagemanager.  ;)
Title: Re: SMF 1.0.5 released
Post by: Daniel D. on June 24, 2005, 10:38:30 AM
*lol*
Title: Re: SMF 1.0.5 released
Post by: mennou on June 24, 2005, 10:50:58 AM
105 worked  fine on my  test  site www.mixspot.com/community     

but it doesn't want to work on my regular forum  www.mixspot.com/forum2
Title: Re: SMF 1.0.5 released
Post by: xenovanis on June 24, 2005, 11:12:58 AM
105 worked  fine on my  test  site www.mixspot.com/community     

but it doesn't want to work on my regular forum  www.mixspot.com/forum2

Please anyone correct me if I'm wrong.

mennou,
Looking at your posts here you seem to have a lot of problems with your forum. You have mentioned a lot of errors, and most of them are apparently related to the mods you have installed. That is probably why the packagemanager choked in the upgrade, because your code is in so many ways altered, that it can't recognize the pieces it needs. Some files were upgraded, but some not which resulted in the error you received.

If I were you, I would forget about saving my mods for a moment, because this problem is not going away. It will return with the next update, and the one after that, ect.. And it will cause you more problems installing mods in the future.

I advise you to run the upgradepackage, maybe even better the installation package and reinstall the mods you'd like. But, that's just the way I should do it, because I really dislike my forumcode to be a mess and I'd rather use some more energy to get things straight then I'd have these annoying returning errors.
Title: Re: SMF 1.0.5 released
Post by: !Hachi! on June 24, 2005, 11:19:48 AM
upgraded and works fine thanks smf team
Title: Re: SMF 1.0.5 released
Post by: klumy on June 24, 2005, 03:52:15 PM
thanks for the new version SMF team
Title: Re: SMF 1.0.5 released
Post by: xtremecruiser on June 24, 2005, 03:58:25 PM
I replaced Subs.php with the one from 1.0.5.... made modifications for MKPortal...

Problem with the tags is solved.. it was subs.php indeed...

Greetz
Did you use the new subs and then update ?
Thanks
Title: Re: SMF 1.0.5 released
Post by: rbrown3rd on June 24, 2005, 05:27:15 PM
I am running 1.03 and cannot update via the package manager due to my provider having the Safemod thing on.  I plan on going the upgrade route as opposed to the update route.  Do I need to alter any permissions before uploading and running the upgrade.php? 
Title: Re: SMF 1.0.5 released
Post by: Owdy on June 24, 2005, 05:40:25 PM
No.
Title: Re: SMF 1.0.5 released
Post by: rbrown3rd on June 24, 2005, 05:45:57 PM
Thanks.   This is my first upgrade so I am a bit nervous about it.  So, basically I just overwrite all files, run the upgrade.php, and then delete upgrade.php?

Do I put the forum in maintenance mode before FTP'ing the files up to the server?
Title: Re: SMF 1.0.5 released
Post by: dtm.exe on June 24, 2005, 05:57:21 PM
Thanks.   This is my first upgrade so I am a bit nervous about it.  So, basically I just overwrite all files, run the upgrade.php, and then delete upgrade.php?

Do I put the forum in maintenance mode before FTP'ing the files up to the server?

Yes to overwriting, running, and deleting.  No to putting the forum in Maintenance Mode while transferring files.  This can be done during the upgrade.

-Dan The Man
Title: Re: SMF 1.0.5 released
Post by: Owdy on June 24, 2005, 05:57:32 PM
Thanks.   This is my first upgrade so I am a bit nervous about it.  So, basically I just overwrite all files, run the upgrade.php, and then delete upgrade.php?
Yes.

Quote
Do I put the forum in maintenance mode before FTP'ing the files up to the server?
Good idea. It prevents users get various error messages during upload.
Title: Re: SMF 1.0.5 released
Post by: rbrown3rd on June 24, 2005, 06:10:39 PM
Thanks once again.  Great avatar by the way.  Love that beard.
Title: Re: SMF 1.0.5 released
Post by: Owdy on June 24, 2005, 06:13:26 PM
I still need new avatar. :P
Title: Re: SMF 1.0.5 released
Post by: dtm.exe on June 24, 2005, 06:15:32 PM
I still need new avatar. :P

[offtopic]I like your polar bear avatar a lot better, Owdy.[/offtopic]

-Dan The Man
Title: Re: SMF 1.0.5 released
Post by: Owdy on June 24, 2005, 06:16:48 PM
Me too, but it has to be changed.
Title: Re: SMF 1.0.5 released
Post by: xenovanis on June 24, 2005, 06:18:45 PM
Me too, but it has to be changed.

Use a penguin instead?
Title: Re: SMF 1.0.5 released
Post by: Killer Possum on June 24, 2005, 06:19:46 PM
A Possum?
Title: Re: SMF 1.0.5 released
Post by: rbrown3rd on June 24, 2005, 06:49:09 PM
Wow, that was easy.  I think I made it seem harder than it was when I was anticipating it.  I had modded the style.css in the classic theme to change the colors slightly.  After upgrading I deleted the upgrade.php, uploaded the style.css from the old site that I had backed up and that was that.  Oh, I run my site inside MKPortal so I had to edit sources/subs.php in two places so that it runs inside MKPortal.  That was it.  Easy. You guys have done a fantastic job of creating and supporting this software.  You have made administration for non programmers like me very easy.  Thank you very much. 
Title: Re: SMF 1.0.5 released
Post by: [Unknown] on June 24, 2005, 08:02:09 PM
I know I can do the quote below but I have had forums crash and burn with it before

Then you did it wrong.  Always make backups incase you make any mistakes.

How are the integrations with MK portal, Coppermine Photo Gallery, and Mambo going to be effected with the current upgrade and when 1.1 comes out ?

There will be new integrations, new bridges for them which you will have to install.

-[Unknown]
Title: Re: SMF 1.0.5 released
Post by: Yonkey on June 24, 2005, 09:27:11 PM
I had to CHMOD 777 all the 1.0.5 updated files first and then delete their *.php~ backup from 1.0.4's Package Manager update in order to get rid of all the "failed to open stream: Permission denied" errors.  :-\

Other than that, this update went fine for me! :)
Title: Re: SMF 1.0.5 released
Post by: raedzaro on June 25, 2005, 03:10:08 AM
when I try to mark topics as read its gave me

Parse error: parse error, unexpected '}' in /home/josins/public_html/forum/Sources/Subs-Boards.php on line 330
Title: Re: SMF 1.0.5 released
Post by: Exposed_Bone on June 25, 2005, 09:35:17 AM
I am trying to install the update from the Package manager an I get this message:
2: fopen(): SAFE MODE Restriction in effect. The script whose uid/gid is 3086/3086 is not allowed to access /home5/sub001/sc12119-RNKW/www/forum/Packages/temp owned by uid/gid 99/99
Αρχείο: /home5/sub001/sc12119-RNKW/www/forum/Sources/Subs-Package.php
Γραμμή: 1476
What should I do?  :-[
Title: Re: SMF 1.0.5 released
Post by: dtm.exe on June 25, 2005, 09:42:19 AM
I am trying to install the update from the Package manager an I get this message:
2: fopen(): SAFE MODE Restriction in effect. The script whose uid/gid is 3086/3086 is not allowed to access /home5/sub001/sc12119-RNKW/www/forum/Packages/temp owned by uid/gid 99/99
Αρχείο: /home5/sub001/sc12119-RNKW/www/forum/Sources/Subs-Package.php
Γραμμή: 1476
What should I do?  :-[


Safe mode is on.  Extract the files to your root directory and upgrade from there.

-Dan The Man
Title: Re: SMF 1.0.5 released
Post by: spottedhog on June 25, 2005, 09:44:51 AM
SMF Development team:    ahhhhh.....  I am not a programmer, but I see why/what you did.  I am a PHP Nuke guy, so I am very familiar with the issues you probably had.

Not sure if this would help in the future, but as you probably know, PHP Nuke has been hard hit, nearly devastated by similar securty issues.  This is why there is one person working on "patches".  Just a thought....  you might want to talk a little with this guy about security issues as he has seen a lot of them because of PHP Nuke.  

see him at:  http://www.nukefixes.com  His name is chatserv.  (if you have seen nuke at all recently, you have probably heard of "chatserv's patches")

(please know that I am not questioning or judging programming abilities here..... but sometimes it is good to talk to someone who has been "in the war")
Title: Re: SMF 1.0.5 released
Post by: dtm.exe on June 25, 2005, 09:48:07 AM
SMF Development team:    ahhhhh.....  I am not a programmer, but I see why/what you did.  I am a PHP Nuke guy, so I am very familiar with the issues you probably had.

Not sure if this would help in the future, but as you probably know, PHP Nuke has been hard hit, nearly devastated by similar securty issues.  This is why there is one person working on "patches".  Just a thought....  you might want to talk a little with this guy about security issues as he has seen a lot of them because of PHP Nuke.  

see him at:  http://www.nukefixes.com  His name is chatserv.  (if you have seen nuke at all recently, you have probably heard of "chatserv's patches")

(please know that I am not questioning or judging programming abilities here..... but sometimes it is good to talk to someone who has been "in the war")


I think our devs are quite capable...

-Dan The Man
Title: Re: SMF 1.0.5 released
Post by: spottedhog on June 25, 2005, 12:36:22 PM
Thanks about not being mad....  This is really a serious issue.    I ran a nuke help website and we were the target of near hourly security hits.  One day we got hit 1000 times, but many of the exploits were of the type that this SMF patch repairs.   A week later, we got DoS.... then again the next day and the next day.  They finally got in by finding our path via Display Errors, and then kept trying passwords until one was found.   I gave up the battle, but now PHP Nuke is hiding the errors, so I will be launching something similar again......

With the popularity of SMF increasing, more and more script kiddies will be looking to exploit SMF.  This is not a guess.... this is fact.  PHP Nuke and phpbb have been hit hard, and in the future the challenge of hacking SMF will be the talk of the hacking community, and it is a large community.

Possible collaboration of thoughts and ideas could be mutually beneficial.   And I thought giving out the best possible contact who has had direct similar experiences could help .......

The time may soon come where the mod packages will need some security patches.  I have not used all of them, but I sense that more than one may have something that needs to be addressed.

again, just thoughts on how to make better applications.....
Title: Re: SMF 1.0.5 released
Post by: dtm.exe on June 25, 2005, 12:54:57 PM
geez.........    I was just making a suggestion..... and I was NOT doubting capabilities.....    geez.........

I'm not mad, I'm just saying.

-Dan The Man
Title: Re: SMF 1.0.5 released
Post by: Exposed_Bone on June 25, 2005, 03:12:34 PM
I am trying to install the update from the Package manager an I get this message:
2: fopen(): SAFE MODE Restriction in effect. The script whose uid/gid is 3086/3086 is not allowed to access /home5/sub001/sc12119-RNKW/www/forum/Packages/temp owned by uid/gid 99/99
Αρχείο: /home5/sub001/sc12119-RNKW/www/forum/Sources/Subs-Package.php
Γραμμή: 1476
What should I do?  :-[


Safe mode is on.  Extract the files to your root directory and upgrade from there.

-Dan The Man
who can  safe mode off?
Title: Re: SMF 1.0.5 released
Post by: dtm.exe on June 25, 2005, 03:15:41 PM
who can  safe mode off?

Huh?

-Dan The Man
Title: Re: SMF 1.0.5 released
Post by: [Unknown] on June 25, 2005, 03:23:26 PM
when I try to mark topics as read its gave me

Parse error: parse error, unexpected '}' in /home/josins/public_html/forum/Sources/Subs-Boards.php on line 330


Upload the Sources/Subs-Boards.php file again from the upgrade zip file.

Exposed_Bone, you can't, only your host can.  Just upload and lose your mods.  I'm sorry.

Thanks about not being mad....  This is really a serious issue.

The package manager is used for patching.  Try it.

-[Unknown]
Title: Re: SMF 1.0.5 released
Post by: loudog on June 26, 2005, 12:46:26 AM
Do I need to un-install shoutbox mod before updating to 1.05 from 1.04? Also will this effect all my themes, I have like 10 of them on my forum for various topics. Thanks LD
Title: Re: SMF 1.0.5 released
Post by: [Unknown] on June 26, 2005, 12:56:30 AM
I doubt you'll need to uninstall anything.  It will not affect any themes.

-[Unknown]
Title: Re: SMF 1.0.5 released
Post by: reznorsoft on June 26, 2005, 11:18:05 AM
who can  safe mode off?

Huh?

-Dan The Man
he's probably asking how to turn off 'safe-mode'
Title: النورس للأنباء الفلسطيية
Post by: lamys on June 26, 2005, 07:10:06 PM
الاخ عبد الله المحترم
شكرا على مساعتكم القيمة وارحو ان امكن شرح طريقة تحيل ملف / موسيقى, كليب / من الجهاز الى الموقع وان كان بالخطوات اكون لك من الشاكرين .
Title: Re: SMF 1.0.5 released
Post by: CoreISP on June 26, 2005, 07:36:48 PM
Posting that in english again might just get you alot more replies ;p
Title: Re: SMF 1.0.5 released
Post by: Linksquest on June 27, 2005, 06:33:37 AM
SMF 1.0.5 works perfect
Title: Re: SMF 1.0.5 released
Post by: forsakenlad on June 27, 2005, 10:21:51 AM
I have upgraded 4 forums to 1.0.5 which two of them were highly modded thorugh the package manager without a glitch, great job again guys! ;)
Title: Re: النورس للأنباء الفلسطيية
Post by: Owdy on June 27, 2005, 01:14:04 PM
الاخ عبد الله المحترم
شكرا على مساعتكم القيمة وارحو ان امكن شرح طريقة تحيل ملف / موسيقى, كليب / من الجهاز الى الموقع وان كان بالخطوات اكون لك من الشاكرين .

    ;) بالخطوات اكو شرح طريقة تحيل ملف
Title: Re: SMF 1.0.5 released
Post by: Daniel D. on June 27, 2005, 02:00:45 PM
I have upgraded 4 forums to 1.0.5 which two of them were highly modded thorugh the package manager without a glitch, great job again guys! ;)
Turkish on the download page. :)
Title: Re: SMF 1.0.5 released
Post by: forsakenlad on June 27, 2005, 06:26:47 PM
Thanks Daniel D. :)
Title: Re: SMF 1.0.5 released
Post by: zoki on June 27, 2005, 07:36:53 PM
I updated to 1.0.5 however, in admin when I click "Smileys and Smiley Sets", I get an error msg:

Quote
Unable to load the 'settings' template.

Also, when I click on "Current Theme's Settings", I get an error:

Quote
2: Invalid argument supplied for foreach()
File: /home/virtual/site243/fst/var/www/html/forum/Sources/Themes.php
Line: 217
Title: Re: SMF 1.0.5 released
Post by: [Unknown] on June 27, 2005, 11:46:30 PM
It sounds like you have outdated files and templates, I'm afraid.

-[Unknown]
Title: Re: SMF 1.0.5 released
Post by: zoki on June 28, 2005, 02:29:12 AM
If I install SMF 1.0.5 from the scratch... and then dump the DB contents, will it work?
Title: Re: SMF 1.0.5 released
Post by: Linksquest on June 28, 2005, 06:53:10 AM
thats a good one
Title: Re: SMF 1.0.5 released
Post by: Aaron on June 28, 2005, 06:55:06 AM
I think it will! If it doesn't, just run upgrade.php and your database will be upgraded to SMF 1.0.5 as well :)

Aaron.
Title: Re: SMF 1.0.5 released
Post by: jazz on June 28, 2005, 02:10:37 PM
Is this a necessary update?  Everything seems to be operating fine with 1.0.3.  I just hate to update when I don't have to, especially when I have made so many modifications in customized registration, Who.english.template, etc.
Title: Re: SMF 1.0.5 released
Post by: [Unknown] on June 28, 2005, 02:11:41 PM
Is this a necessary update?  Everything seems to be operating fine with 1.0.3.  I just hate to update when I don't have to, especially when I have made so many modifications in customized registration, Who.english.template, etc.

It is.

-[Unknown]
Title: Re: SMF 1.0.5 released
Post by: jazz on June 28, 2005, 02:17:00 PM
What files do I need to back up so I can easily apply the modifications?  I've customized register.template, profile.template, index.template and who.english.  I believe that's all of them.
Title: Re: SMF 1.0.5 released
Post by: Grudge on June 28, 2005, 02:19:06 PM
jazz,

None of those files have changed - and if you install through the package manager it should go fine. I'd just backup the files you've changed, plus your database just because you should ALWAYS backup your database - even though upgrading won't touch it :)

Grudge
Title: Re: SMF 1.0.5 released
Post by: ronmsf2 on June 30, 2005, 12:03:41 AM
Just updated and everything went fine, but I didn't receive an e-mail notification about this update as I did for 1.0.4.  What gives?  I really appreciate the notifications when an update has been released... especially when it involves security issues.
Title: Re: SMF 1.0.5 released
Post by: Yonkey on June 30, 2005, 06:47:33 AM
I just got a notification today, but it's kinda funny because I already upgraded to 1.0.5. :P
Title: Re: SMF 1.0.5 released
Post by: sniffers on June 30, 2005, 07:08:42 AM
Sorry if I've missed anyone asking this already, but will it affect the mambo bridge?

Thanks

Tiff
Title: Re: SMF 1.0.5 released
Post by: xenovanis on June 30, 2005, 07:14:01 AM
Sorry if I've missed anyone asking this already, but will it affect the mambo bridge?

Thanks

Tiff

If you use the packagemanager to update it won't. If you update using the upgrade- or updatepackage you'd probably need to install the mod again.
Title: Re: SMF 1.0.5 released
Post by: Eva on June 30, 2005, 08:20:55 AM
Hello!

Even though I upgraded just fine in the test Forum, when I tried to upgrade the real one through the package manager I got the following error:

2: copy(/home/fhlinux199/m/motorwomen-gr.co.uk/user/htdocs/community/Sources/Post.php~): failed to open stream: Permission denied
File: /home/fhlinux199/m/motorwomen-gr.co.uk/user/htdocs/community/Sources/Subs-Package.php
Line: 1307

All file permissions are 777...

Any ideas?
Title: Re: SMF 1.0.5 released
Post by: dustrho on June 30, 2005, 08:24:04 AM
I hate to ****** about something so trivial, but this 1.0.5 release came out on June 20th, right?  Well, I JUST received an email notification about this from SMF.  Why did it take ten days to have this sent out?  Did it take that long for other people to receive this same notification?  I'm really not that upset about it, but if it's such a huge security upgrade, then why the hell did it take so long to receive.  Luckily I log into this forum every single day, because I had upgraded my forum to 1.0.5 the day this was announced.  Just in case those who didn't receive this email notification yet, here is the email in its entirety:

Quote
SUBJECT: New announcement: SMF 1.0.5 released

Simple Machines is happy to release a new update to Simple Machines Forum 1.0. This release addresses a security issue in the most recent version of SMF.

As this is a critical release, you can easily upgrade by one of the following ways:
  • Use the package manager in your administration center - one click, and you're done.
  • Download the update archive file, and upload all of the files from it.
  • Download the modification file, attached to this message, and modify the files manually according to it.


This will most likely be the last release of the 1.0 line before we release SMF 1.1 Beta 3 Public. We do nevertheless encourage you to upgrade to 1.0.5 immediately, even if you mean to update to 1.1 Beta 3 Public when it is available.

To unsubscribe from these announcements, login to the forum and uncheck "Receive forum announcements and important notifications by email." in your profile.

You can view the full announcement by following this link:

http://www.simplemachines.org/community/index.php?topic=39395.0

Regards,
The Simple Machines Community Forum Team.

Sorry for the ranting, but it really needs to be addressed.  Thanks for listening, and thank you VERY much for having such an AWESOME piece of forum software!   :)
Title: Re: SMF 1.0.5 released
Post by: Superboy on June 30, 2005, 08:38:04 AM
Same here- only just got the announcement.
Title: Re: SMF 1.0.5 released
Post by: Grudge on June 30, 2005, 08:43:43 AM
Hi,

It was actually June 23rd when this was released, not June 20th (The annoucement was written three days before release while we tested the fixes). That said I'm sorry that it took so long for the annoucement to be posted out - it was an oversight on our part - but we thought in the end it was better to send it out late than not at all.

Also, bear in mind that news of the update would have been displayed in everyones admin centre for the last week - we certainly haven't tried to hide it away. Also, although this is a critical update - it only affects certain server configurations so the chances are the majority of forums would not be affected.

That said, again I apologise for the delay in sending out the email - in the future we'll ensure it gets posted on the same day as the release.

Grudge
Title: Re: SMF 1.0.5 released
Post by: Yonkey on June 30, 2005, 08:50:52 AM
Hello!

Even though I upgraded just fine in the test Forum, when I tried to upgrade the real one through the package manager I got the following error:

2: copy(/home/fhlinux199/m/motorwomen-gr.co.uk/user/htdocs/community/Sources/Post.php~): failed to open stream: Permission denied
File: /home/fhlinux199/m/motorwomen-gr.co.uk/user/htdocs/community/Sources/Subs-Package.php
Line: 1307

All file permissions are 777...

Any ideas?

I get the same errors every time I try upgrading via the Package Manager.  Just delete all the *.php~ files in your forum directory that will be upgraded by the 1.0.5 patch and you'll be fine. :)  I wonder if this problem has been fixed in 1.1 beta 3?  ???
Title: Re: SMF 1.0.5 released
Post by: !Hachi! on June 30, 2005, 09:06:13 AM
yeah me too i got this today ......
Title: Re: SMF 1.0.5 released
Post by: dustrho on June 30, 2005, 10:39:30 AM
That said, again I apologise for the delay in sending out the email - in the future we'll ensure it gets posted on the same day as the release.

Thanks for the apology Grudge, but it really isn't necessary.  In no way was I trying to say anything bad about you or any of the other members on the SMF team.  I just thought I'd make it aware of the timeliness of when I received the email notification.  Thanks again for making the best forum software out there!
Title: Re: SMF 1.0.5 released
Post by: groovie on June 30, 2005, 10:45:58 AM
i was nervous about doing this one as the last one resulted in several hours troubleshooting (See last effort) (http://www.simplemachines.org/community/index.php?topic=38154.0) - i went ahead however and everything was success until i clicked proceed and go this error:

An Error Has Occurred!
2: fopen(/home/****/public_html/forum/Sources/ManageMembers.php): failed to open stream: Permission denied
File: /home/****/public_html/forum/Sources/Subs-Package.php
Line: 1476

I thought perhaps this might be cause i didnt go directly to the forum bypassing mambo ie .com/forum .  So after this error i went straight to the smf forum ie .com/forum and it said i was now running 1.0.5.  But i looked at more details and two areas were still on 1.0.4 and templates are still on 1.0.1.  So i went to package manager and saw 1.0.5 and clicked apply mod and i got failure writing index.php but still clicked proceed and then got:

Extracting Package
The package was installed successfully. You should now be able to use whatever functionality it adds or changes; or not be able to use functionality it removes.

Now detailed version check is a bit of a mixed bag and reads as follows:

SMF File   Your Version   Current Version
SMF Package   SMF 1.0.5   SMF 1.0.5
Sources   1.0.5   1.0.5
Admin.php   1.0.4   1.0.4
BoardIndex.php   1.0   1.0
Calendar.php   1.0.3   1.0.3
Display.php   1.0.1   1.0.1
DumpDatabase.php   1.0   1.0
Errors.php   1.0.2   1.0.2
Help.php   1.0   1.0
InstantMessage.php   1.0.2   1.0.2
Karma.php   1.0   1.0
Load.php   1.0.2   1.0.2
LockTopic.php   1.0   1.0
LogInOut.php   1.0.2   1.0.2
MOS_SMF.php   ??   ??
ManageAttachments.php   1.0.1   1.0.1
ManageBoards.php   1.0.1   1.0.1
ManageMembers.php   1.0.5   1.0.5
ManagePermissions.php   1.0   1.0
ManageSmileys.php   1.0.2   1.0.2
Memberlist.php   1.0   1.0
MessageIndex.php   1.0   1.0
ModSettings.php   1.0.1   1.0.1
Modlog.php   1.0   1.0
MoveTopic.php   1.0.1   1.0.1
News.php   1.0.3   1.0.3
Notify.php   1.0   1.0
PackageGet.php   1.0.1   1.0.1
Packages.php   1.0.1   1.0.1
Poll.php   1.0.3   1.0.3
Post.php   1.0.5   1.0.5
Printpage.php   1.0   1.0
Profile.php   1.0.5   1.0.5
QueryString.php   1.0   1.0
Recent.php   1.0.2   1.0.2
Register.php   1.0.3   1.0.3
Reminder.php   1.0   1.0
RemoveTopic.php   1.0.1   1.0.1
RepairBoards.php   1.0   1.0
SSI.php   1.0.3   1.0.3
Search.php   1.0.5   1.0.5
Security.php   1.0.2   1.0.2
SendTopic.php   1.0   1.0
SplitTopics.php   1.0   1.0
Stats.php   1.0   1.0
Subs-Auth.php   1.0.3   1.0.3
Subs-Boards.php   1.0.5   1.0.5
Subs-Graphics.php   1.0   1.0
Subs-Package.php   1.0.3   1.0.3
Subs-Post.php   1.0.3   1.0.3
Subs.php   1.0.4   1.0.4
Themes.php   1.0.2   1.0.2
ViewQuery.php   1.0   1.0
Who.php   1.0   1.0
Default Templates   1.0.4   1.0.4
Admin.template.php   1.0.4   1.0.4
BoardIndex.template.php   1.0.1   1.0.1
Calendar.template.php   1.0   1.0
Display.template.php   1.0.3   1.0.3
Errors.template.php   1.0   1.0
Help.template.php   1.0   1.0
InstantMessage.template.php   1.0   1.0
Login.template.php   1.0   1.0
ManageAttachments.template.php   1.0   1.0
ManageBoards.template.php   1.0   1.0
ManageMembers.template.php   1.0   1.0
ManagePermissions.template.php   1.0   1.0
ManageSmileys.template.php   1.0   1.0
Memberlist.template.php   1.0   1.0
MessageIndex.template.php   1.0   1.0
Modlog.template.php   1.0   1.0
MoveTopic.template.php   1.0   1.0
Notify.template.php   1.0   1.0
Packages.template.php   1.0.1   1.0.1
Poll.template.php   1.0.3   1.0.3
Post.template.php   1.0   1.0
Printpage.template.php   1.0   1.0
Profile.template.php   1.0.4   1.0.4
Recent.template.php   1.0.1   1.0.1
Register.template.php   1.0   1.0
Reminder.template.php   1.0   1.0
Search.template.php   1.0   1.0
SendTopic.template.php   1.0   1.0
Settings.template.php   1.0   1.0
SplitTopics.template.php   1.0   1.0
Stats.template.php   1.0   1.0
Themes.template.php   1.0   1.0
Who.template.php   1.0   1.0
Wireless.template.php   1.0.1   1.0.1
index.template.php   1.0   1.0
Language Files   1.0.4   1.0.4
Admin.english.php   1.0.4   1.0.4
Errors.english.php   1.0   1.0
Help.english.php   1.0   1.0
Install.english.php   1.0   1.0
InstantMessage.english.php   1.0   1.0
Login.english.php   1.0   1.0
ManageBoards.english.php   1.0   1.0
ManageMembers.english.php   1.0   1.0
ManagePermissions.english.php   1.0   1.0
ManageSmileys.english.php   1.0   1.0
ModSettings.english.php   1.0   1.0
Modifications.english.php   1.0   1.0
Packages.english.php   1.0.1   1.0.1
Post.english.php   1.0   1.0
Profile.english.php   1.0   1.0
Settings.english.php   1.0   1.0
Stats.english.php   1.0   1.0
Themes.english.php   1.0   1.0
Who.english.php   1.0   1.0
Wireless.english.php   1.0   1.0
index.english.php   1.0.1   1.0.1
Current Templates   1.0.1   1.0.4

I have started a topic over at the mambo bridge area as i am bracing myself for a lot more troubleshooting of this issue.  That topic can be found here (http://www.simplemachines.org/community/index.php?topic=40461.0).  Please post any replies over there.  Any help would be greatly appreciated.  Thank you.

Title: Re: SMF 1.0.5 released
Post by: xenovanis on June 30, 2005, 11:04:31 AM
groovie,

I doubt that this has anything to do with you using the Mambobridge. I updated through the packagemanager and had no problems at all.

Check if your /Sources directory is writable and try again.

Please do not doublepost. It is confusing and unnecessary.
Title: Re: SMF 1.0.5 released
Post by: groovie on June 30, 2005, 11:15:22 AM
sorry i wasnt meaning to double post , in my mind i was redirecting to a place where it qould be less confusing as if i post things here then often other posts get put in between and it is hard to keep track.  it was a redirect not a double post and i did it because i experienceed the exact same thing lasts time i tried to upgrade. 
Title: Re: SMF 1.0.5 released
Post by: ronmsf2 on June 30, 2005, 11:22:48 AM
Quote from: Grudge
That said, again I apologise for the delay in sending out the email - in the future we'll ensure it gets posted on the same day as the release.

Grudge

Thanks Grudge.  The e-mail notifications are very much appreciated.
Title: Re: SMF 1.0.5 released
Post by: Alan G on June 30, 2005, 11:37:06 AM
i'm getting a js error on the stats page now (in ie) to be fair it could have been there before as i'm usually on firefox... any ideas?

http://www.nottinghamculture.co.uk/leftlion/index.php?action=stats

cheers.
Title: Re: SMF 1.0.5 released
Post by: destalk on June 30, 2005, 11:46:05 AM
Out of interest. When 1.1 final is released, will 1.0.5 still be supported with security patches, should they be  required?
Title: Re: SMF 1.0.5 released
Post by: [Unknown] on June 30, 2005, 02:42:00 PM
i'm getting a js error on the stats page now (in ie) to be fair it could have been there before as i'm usually on firefox... any ideas?

http://www.nottinghamculture.co.uk/leftlion/index.php?action=stats

cheers.

You're running 1.1 Beta 3 Public, not 1.0.5.

Out of interest. When 1.1 final is released, will 1.0.5 still be supported with security patches, should they be  required?

The 1.0 line will still be supported.

-[Unknown]
Title: Re: SMF 1.0.5 released
Post by: sight|i|picture on June 30, 2005, 02:56:28 PM
Is there any reason why the file: smf_1-0-5_update.tar.gz shows up as smf_1-0-5_update.tar.tar after downloading

and why it is called "update" inplace of "package"?

I can't get it 1.0.5 show up in my  SMF 1.0.4. package manager.
Title: Re: SMF 1.0.5 released
Post by: [Unknown] on June 30, 2005, 02:58:05 PM
It may be because of how you're downloading it.  Try the zip file if you're continuing to have problems.

Are you sure it doesn't show?  It's on the FIRST PAGE, before you go to ANY SERVER.  It says "Latest and Gratest Packages" or something similar.

-[Unknown]
Title: Re: SMF 1.0.5 released
Post by: sight|i|picture on June 30, 2005, 03:06:43 PM
It may be because of how you're downloading it.  Try the zip file if you're continuing to have problems.

Are you sure it doesn't show?  It's on the FIRST PAGE, before you go to ANY SERVER.  It says "Latest and Gratest Packages" or something similar.

-[Unknown]

I downloaded the .zip file and uploaded to the /Packages/ folder. Then I went into the Admin Panel > Package Manager > Browse Packages > no 1.0.5

The "A security issue has been identified in SMF 1.0.4. You can install this patch (click here to install) to easily update yourself to the latest version." link has never worked for me in the past. That is why I have to download > upload the file and run the package from the admin panel. But, this time around it isn't showing up.

I guess I could always do the upgrade option and run the .php file.
Title: Re: SMF 1.0.5 released
Post by: [Unknown] on June 30, 2005, 03:08:23 PM
Neither of those are the package manager update.  Again, the _package.tar.gz which the package manager helps you install is the package manager one.  All others are the upgrades as described in the various documentation linked to in the first topic.

-[Unknown]
Title: Re: SMF 1.0.5 released
Post by: sight|i|picture on June 30, 2005, 03:12:03 PM
hmmm...

So there is no other way for me to download the ..._package.tar.gz file other than clicking on the (click here to install) link in the package mananger?

Nevermind... found it at the bottom of the first post in this topic!   :-X
Title: Re: SMF 1.0.5 released
Post by: kbroeren on June 30, 2005, 10:40:05 PM
I upgraded to 1.05 yesterday and it seemed to go flawlessly!  Great job!   8)

I have a minor issue that I think is related since it appeared right after the upgrade.

When creating a new post or replying to a post, the text can not be highlighted or selected at all - it's strange.

Is this something going on in index.template.php?  I've done a couple searches and have come up empty too.

Someone please throw me a bone here - I am out of ideas and don't know where else to look?  Thanks for the help!! :)
Title: Re: SMF 1.0.5 released
Post by: [Unknown] on June 30, 2005, 10:42:20 PM
Can you post a link and test account?

Please start new topics for new requests (http://www.simplemachines.org/community/index.php?topic=18624.0)...

-[Unknown]
Title: Re: SMF 1.0.5 released
Post by: kbroeren on June 30, 2005, 10:47:18 PM
New post in Support...with details.

Title: Re: SMF 1.0.5 released
Post by: Xavier on July 01, 2005, 05:58:56 AM
An information... What change in index.php for an update from 1.04 to 1.05? In any way, i have upgrade from package manager, correctly. ;)
Title: Re: SMF 1.0.5 released
Post by: Alan G on July 01, 2005, 08:40:41 AM


You're running 1.1 Beta 3 Public, not 1.0.5.


ah, yeah wrong thread (feel free to move the post)
Title: Re: SMF 1.0.5 released
Post by: robertwatcher on July 01, 2005, 08:48:18 AM
I updated this morning from 1.03 - to 1.04 and then 1.05. Everything appeared to work perfectly.

I just found out that all images in posted messages that use the
Code: [Select]
[img][/img] tag are not displaying - only the code.

Can anyone help please?
Title: Re: SMF 1.0.5 released
Post by: Kindred on July 01, 2005, 09:56:18 AM
this was a failure in some versions of the 1.0.4 upgrade.   Look for the thread on 1.0.4, the fix is listed in that thread (even though it is now locked)
Title: Re: SMF 1.0.5 released
Post by: robertwatcher on July 01, 2005, 10:51:22 AM
I replaced Subs.php with the one from the upgrade package 1.0.5. My problem is solved - hopefully that is all for issues - thank you.


--

Just noticed my Streaming Media mod no longer worked - so I uninstalled and reinstalled it and both work fine - so maybe that mod was the issue and changed something - don't know. Anyway everything appears to be fine now.

Title: Re: SMF 1.0.5 released
Post by: JF3000 on July 07, 2005, 03:52:26 PM
What does this mean :

 Type Action Description
1. Execute Modification ./index.php Failure
2. Execute Modification ./Sources/ManageMembers.php Failure
3. Execute Modification ./Sources/Post.php Success
4. Execute Modification ./Sources/Profile.php Failure
5. Execute Modification ./Sources/Search.php Success
6. Execute Modification ./Sources/Subs-Boards.php Success


?

Why do I have a failure?

I also ge this error :

The package manager currently allows only these file types: zip, tar.gz.

Yet the file is a .tar, its not allowing me to upgrade, and ive tried for sometime, its an old version im running as well. Please help.

Jf3000
Title: Re: SMF 1.0.5 released
Post by: Tristan Perry on July 07, 2005, 04:10:40 PM
What does this mean :

 Type Action Description
1. Execute Modification ./index.php Failure
2. Execute Modification ./Sources/ManageMembers.php Failure
3. Execute Modification ./Sources/Post.php Success
4. Execute Modification ./Sources/Profile.php Failure
5. Execute Modification ./Sources/Search.php Success
6. Execute Modification ./Sources/Subs-Boards.php Success


?

Why do I have a failure?

Jf3000
You have most probably installed some mods which modify the same piece of code that this release does. Try remvoing your mods before upgrading to 1.0.5  :)
Title: Re: SMF 1.0.5 released
Post by: JF3000 on July 07, 2005, 04:45:09 PM
I had all the mods removed prior anyway, still had errors, so downloaded the beta and upgraded manually, and all is now working, thank you.

Why do I keep getting this error :

You cannot download or install new packages because the Packages directory is not writable!

Yet the folder is set to 777?


Jf3000
Title: Re: SMF 1.0.5 released
Post by: Skhilled on July 08, 2005, 09:34:09 AM
I upgraded to smf 1.0.5 using the package manager successfully but when I try to use the package manager I cannot install anything and get the following error:

The package you are trying to download or install is either corrupt or not compatible with this version of SMF.

I've also created a completely new smf 1.0.5 forum and get the same error. Does anyone have any ideas?
Title: Re: SMF 1.0.5 released
Post by: stargazer_1017 on July 09, 2005, 06:31:48 AM
I upgraded from 1.0.3 to 1.0.4 then 1.0.5. . .it was weird because when I tried to upload the file from the download page, it said it had an error. I uploaded the package from the first post by Grudge, and then it told me that I already had the package on the server.

This is what I currently have:

(https://www.simplemachines.org/community/proxy.php?request=http%3A%2F%2Fimg.photobucket.com%2Falbums%2Fv247%2Fstargazer_1017%2F2f8ca1ff.jpg&hash=52f4ac2abc2c139164c2b221a36ef966)

Is that all right? I'm just paranoid because when I went from 1.0.4 to 1.0.5., all of the processes failed, yet it upgraded to 1.0.4.

-Shayna
Title: Re: SMF 1.0.5 released
Post by: Skhilled on July 09, 2005, 07:23:11 AM
My version numbers say the same and I've uninstalled all old mods and reinstalled them. But still can't install new mods.
Title: Re: SMF 1.0.5 released
Post by: Grudge on July 09, 2005, 08:04:35 AM
Those version numbers are fine - yes. Only the files which change with a new version are upgraded.
Title: Re: SMF 1.0.5 released
Post by: Skhilled on July 09, 2005, 10:05:18 AM
Update: I can install packages manually still not thru the package manager.
Title: Re: SMF 1.0.5 released
Post by: wobo on July 12, 2005, 12:53:15 AM
I use SMF inside Mambo with SMF2Mambo from Mambohacks.com.

Afraid to make a mess out of my life forum, I did the upgrade manually. That means i looked at diffs for each file and made the changes in the files. That took a while but it was not by far the workload of doing all the integration again.

Question: has anything changed in the database from 1.0.3 to 1.0.5?
Question2: What do I have to change manually to get rid of the "Update your 1.0.3 version!" in the admin panel?

wobo
Title: Re: SMF 1.0.5 released
Post by: wobo on July 13, 2005, 04:21:18 AM
One more:

After upgrading from 1.0.4 to 1.0.5 Users could not answer to any threads - when the "Reply" button was pushed the page went blank and stayed like that. After I restored the 1.0.4-version of /Sources/Post.php everything worked again.

wobo
Title: Re: SMF 1.0.5 released
Post by: Zeeblo on July 13, 2005, 09:03:16 AM
Thanks SMF! :) I've installed this new version on my forum ;)
Title: Re: SMF 1.0.5 released
Post by: snub on July 17, 2005, 03:58:32 PM
getting this error...

Code: [Select]
Database Error
Can't create/write to file '/tmp/#sql_6d6_0.MYI' (Errcode: 13)
File: /home/snubby/public_html/realtalk/Sources/BoardIndex.php
Line: 82

any idea how to fix this?  :-\
Title: Re: SMF 1.0.5 released
Post by: dtm.exe on July 17, 2005, 04:19:54 PM
getting this error...

Code: [Select]
Database Error
Can't create/write to file '/tmp/#sql_6d6_0.MYI' (Errcode: 13)
File: /home/snubby/public_html/realtalk/Sources/BoardIndex.php
Line: 82

any idea how to fix this?  :-\

CHMOD /Sources/BoardIndex.php to 777.

Why chmod 777 is NOT a security risk (http://www.simplemachines.org/community/index.php?topic=2987.0)

-Dan The Man
Title: Re: SMF 1.0.5 released
Post by: Ben_S on July 17, 2005, 04:43:26 PM
getting this error...

Code: [Select]
Database Error
Can't create/write to file '/tmp/#sql_6d6_0.MYI' (Errcode: 13)
File: /home/snubby/public_html/realtalk/Sources/BoardIndex.php
Line: 82

any idea how to fix this?  :-\

root@shankly [~]# perror 13
System error:  13 = Permission denied

This means that for some reason, MySQL cannot write to your database, you need to ask your host to correct the problem if it persists.

CHMOD /Sources/BoardIndex.php to 777.

This isn't the problem, it's just the file thats calling for the db query.
Title: Re: SMF 1.0.5 released
Post by: snub on July 17, 2005, 06:55:36 PM
thank you. it was in fact a host issue & it has been fixed.
Title: Re: SMF 1.0.5 released
Post by: noelchiew on July 18, 2005, 09:34:35 AM
i went to see which files whose version needed updating and manually uploaded those and overwrite the existing ones thru file manager.

after which i get this error when i tried to access my forum.

Fatal error: Call to undefined function: showbanner() in /home/torcssg/public_html/forums/Sources/Load.php(1040) : eval()'d code on line 287

pls help???
Title: Re: SMF 1.0.5 released
Post by: [Unknown] on July 18, 2005, 06:09:09 PM
You've partially uninstalled a mod.  I suggest you upload all of the files, such that the mod will no longer be installed.

This problem in particular is in one of your templates.

-[Unknown]
Title: Re: SMF 1.0.5 released
Post by: noelchiew on July 18, 2005, 07:02:34 PM
i reckon it to be the banner mod, can i just try uninstall this mod only?

if so, do you know how can i do it?
Title: Re: SMF 1.0.5 released
Post by: dragon on July 19, 2005, 02:48:10 AM
I had all the mods removed prior anyway, still had errors, so downloaded the beta and upgraded manually, and all is now working, thank you.

Why do I keep getting this error :

You cannot download or install new packages because the Packages directory is not writable!

Yet the folder is set to 777?


Jf3000

I have exactly the same error since upgrading to the beta. I checked the permissions on the folder and it is set to 777.

As far as I can tell, the error occurs at lines 616 to 625 in PackageGet.php.

The GetPackageInfo method returns nothing setting the packacge context to empty. However, when I print the contents of the variables in the getPackageInfo method, it should return a filled package. I am lost here...

Code: [Select]
// If we got this far that should mean it's available.
$context['package'] = getPackageInfo($packageName);
$context['package_server'] = '';

// Not really a package, you lazy bum!
if (empty($context['package']))
{
@unlink($destination);
fatal_lang_error('package_upload_error_broken', false);
}
Title: Re: SMF 1.0.5 released
Post by: [Unknown] on July 19, 2005, 03:50:43 AM
It could be that it's realy not a proper package, too.

Search for the error message, though, for more information.

-[Unknown]
Title: Re: SMF 1.0.5 released
Post by: noelchiew on July 19, 2005, 05:14:39 AM
i reckon it to be the banner mod, can i just try uninstall this mod only?

if so, do you know how can i do it?

how do it remove/uninstall the banner mod manually? i cannot access my forum page at all.

i looked at the error message and i tried to look for any "showbanner()" or "eval()'d code" in the Load.php file but there's no match.

i wanted to keep my mods so i used the update file instead of upgrade, is that the right file?
Title: Re: SMF 1.0.5 released
Post by: Daniel D. on July 19, 2005, 06:02:19 AM
i reckon it to be the banner mod, can i just try uninstall this mod only?

if so, do you know how can i do it?

how do it remove/uninstall the banner mod manually? i cannot access my forum page at all.

i looked at the error message and i tried to look for any "showbanner()" or "eval()'d code" in the Load.php file but there's no match.

i wanted to keep my mods so i used the update file instead of upgrade, is that the right file?
Please look into the mod file. These steps backwards and you're done. MAKE BACKUPS (next time)!!
Title: Re: SMF 1.0.5 released
Post by: noelchiew on July 19, 2005, 07:41:07 AM
Is it the one named banner.php? What do i need to do to the mod file?

What do you mean by "these steps backwards"?

I did back up all my files. But i dont remember what files did i change because i refered to the version list in the forum admin. Will the error go away if i replace the files i used to overwrite with the original files?

I only changed the files that i see are listed as new version in that listing page. Looks like if i can undo these changes i should try the update link under the package manager? But it always give me a failure on the subs.php if i didnt recall wrongly. argh... i'm so lost.

i'm total idiot on these technical stuff. pls help thanks!
Title: Re: SMF 1.0.5 upgrade issue, please help
Post by: derekvo on July 25, 2005, 06:38:30 PM
Hi,
I am new to this SMF. I am asked to upgrade it, but got this error when tried using Package Manger to upgarde it. Please give
a hint how to correct this problem.  Thanks

======= This is the error =============
An Error Has Occurred!
Sorry, your PHP configuration doesn't have support for zlib. Without this, the package manager cannot function. Please contact your host about this for more information. 
===============================
Title: Re: SMF 1.0.5 released
Post by: Grudge on July 25, 2005, 06:42:12 PM
Have you got any packages installed? If not, and you haven't made any modifications to the files themselves, go to the downloads page here, and download the file called smf_1-0-5_update.zip. Upload the contents of this file to your forum directory (much like you did when you installed it originally) - and that should be all you need to upgrade to 1.0.5. Please note that if you have edited the default theme at all, do NOT upload a new copy of style.css or index.template.php in the Themes/default directory.

EDIT: And also, backup! You should always backup before doing an upgrade as although nothing should happen - it's best to be sure ;)
Title: Re: SMF 1.0.5 released
Post by: mennou on July 25, 2005, 07:08:40 PM
why  they released  the 105 smf again??  i am  already on beta public  .. do i need to upgrade to 1.0.5  or  stick with the beta?
Title: Re: SMF 1.0.5 released
Post by: Meriadoc on July 25, 2005, 07:14:19 PM
There was a patch incorperated into 1.0.5 - see PHP 4.4.0 Compatibility (http://www.simplemachines.org/community/index.php?topic=41955.0)
If you're on SMF 1.1 Beta 3 you needn't worry though.
Title: Re: SMF 1.0.5 released
Post by: CuTe_MaN on July 29, 2005, 01:55:11 PM
I have set up my website abd I upgraded to smf 1.0.5

when another users r trying to rigister

it gives them this message:

mail() has been disabled for security reasons


and they r not getting the activation message to thier email

but they can enter the forum and use it.


one more thing is there a way to prevent allowing unregistered users to view topics without registering?


and thx
Title: Re: SMF 1.0.5 released
Post by: [Unknown] on July 29, 2005, 02:34:04 PM
You'll have to use SMTP instead of sendmail.

Yes, don't allow them to access the board - in Manage Boards.

-[Unknown]
Title: Re: SMF 1.0.5 released
Post by: CuTe_MaN on July 29, 2005, 07:34:51 PM
thx for answering
but how i use SMTP?

and from where?

Title: Re: SMF 1.0.5 released
Post by: [Unknown] on July 29, 2005, 10:19:40 PM
Sorry, go to Admin -> Edit Features and Options -> search the page for "SMTP".

You'll need an SMTP server, and probably a username and password.  It will send from the webmaster email address specified in Admin -> Edit Server Settings.

-[Unknown]
Title: Re: SMF 1.0.5 released
Post by: CuTe_MaN on July 30, 2005, 10:52:36 AM
i am sorry for asking lots of questions

but how could i find the SMTP server?

and i am using yahoo and my website s hosted on www.host.sk

so can u help me plz?

and thx
Title: Re: SMF 1.0.5 released
Post by: [Unknown] on July 30, 2005, 03:13:37 PM
I'm afraid you'll have to ask your host.

-[Unknown]
Title: Re: SMF 1.0.5 released
Post by: NOS ChromeNut on July 31, 2005, 11:31:15 AM
 ???

I've searched diligently through the admin panel trying to find any fields relating to underage registration on my forums and can't find a thing.  I can find this in 1.1 beta 3, but nothing before that. I've test registered on my forums and find that anyone can register and provide personal information regardless of age.

This doesn't seem to be an issue strictly relating to 1.0.5, but I didn't know where else to post this.  Maybe the makers of SMF aren't in America, but I'm concerned about continuing to use SMF without complying with the COPPA act of 1998. Maybe you others out there aren't, but in this day and age if you're collecting personal information from underage users, you are just asking for trouble unless you're following the registration steps spelled out in COPPA.

I'm probably lecturing to the choir here, but can anyone tell me how SMF is insuring that users of it's forums software/packages have the ability to remain compliant with what I and others consider a very reasonable law???

 ???
Title: Re: SMF 1.0.5 released
Post by: Grudge on July 31, 2005, 12:15:26 PM
COPPA compliance was a new feature added in 1.1 - you won't find it in the earlier versions I'm afraid. Also, you can effectively make your site compliant by editing the registration agreement to say something like "I confirm that I am over the age of 18 etc". If you need this feature then I'm afraid 1.1 is the only option.
Title: Re: SMF 1.0.5 released
Post by: NOS ChromeNut on July 31, 2005, 03:18:31 PM
COPPA compliance was a new feature added in 1.1 - you won't find it in the earlier versions I'm afraid. Also, you can effectively make your site compliant by editing the registration agreement to say something like "I confirm that I am over the age of 18 etc". If you need this feature then I'm afraid 1.1 is the only option.

Thanks Grudge, that's just what I'm going to do.  Appreciate the input!!!
Title: Re: SMF 1.0.5 released
Post by: [Unknown] on July 31, 2005, 06:58:29 PM
You only need to comply to the COPPA if you expect or have actual knowledge of people using the site under the age of 13, to my understanding.  If your site is about Pokemon, you definitely need to comply.  If it's about guns and gaming, it's more likely you don't.

Contact a lawyer for more information.

-[Unknown]
Title: Re: SMF 1.0.5 released
Post by: kegobeer on July 31, 2005, 08:16:33 PM
A heated discussion about when and to whom the COPPA applies.

http://www.simplemachines.org/community/index.php?topic=33311.0

For further clarification, call the FTC (like I did) or contact a lawyer who specializes in COPPA related issues, like [Unknown] recommended.
Title: Re: SMF 1.0.5 released
Post by: Perrine on August 15, 2005, 03:12:56 PM
Weird.  1.0.5 isn't showing up in my Package Manager.

And I get this message when I click on the "update your forum" link on the main Admin page.

"The package you are trying to download or install is either corrupt or not compatible with this version of SMF."

Any ideas?

Edit:  Nevermind.  I got it working fine through the "upload package" option.

Could you please explain how you worked it out?  I'm getting the same message...and I'm not a true rocket scientist and haven't been able to work it out. 
Title: Re: SMF 1.0.5 released
Post by: NOS ChromeNut on August 15, 2005, 03:28:14 PM
You only need to comply to the COPPA if you expect or have actual knowledge of people using the site under the age of 13, to my understanding.  If your site is about Pokemon, you definitely need to comply.  If it's about guns and gaming, it's more likely you don't.

Contact a lawyer for more information.

-[Unknown]

Well, I have three forums I'm hosting for online gaming communities, so it goes without saying that there will be kids on those forums. You can only police a public forum to a certain extent, and you really only need to show that you're doing what you can to protect the privacy of under age members.  I force the COPPA stuff on my forum members, even though our forums are clean and do not have any of that nastiness you see on so many forums.  We take Board Moderation very seriously and we watch all posts for content, so it's really not a necessity.  But, I thought COPPA was an American law, and that American sites must comply?

No need for an attorney, you just have to do the best you can to protect your members and if you're hosting forums that behave appropriately, you shouldn't have a worry.

Thanks for your input!!!
Title: Re: SMF 1.0.5 released
Post by: costas on August 29, 2005, 05:49:51 PM
Hi I just installed version 1.0.5, initially as an upgrade using fantastico from my hosting company. It did not work. Then (since I only had a few entries – relatively new installation) I removed smf and reinstalled it (again with fantastico). The same problems occur. No access at all. I get the following errors:

Notice: Only variables should be assigned by reference in /home/travelad/public_html/smf/Sources/Subs.php on line 232

Notice: Undefined index: is_admin in /home/travelad/public_html/smf/Sources/Security.php on line 556

Notice: Undefined index: permissions in /home/travelad/public_html/smf/Sources/Security.php on line 563

Warning: in_array(): Wrong datatype for second argument in /home/travelad/public_html/smf/Sources/Security.php on line 563
session_start(): Cannot send session cookie - headers already sent by (output started at /home/travelad/public_html/smf/Sources/Subs.php:232)

Checking files Subs.php it appears to be identical with version 1.0.3
Your help will be greatly appreciated.
Costas
Title: Re: SMF 1.0.5 released
Post by: dtm.exe on August 29, 2005, 05:50:45 PM
Hi I just installed version 1.0.5, initially as an upgrade using fantastico from my hosting company. It did not work. Then (since I only had a few entries – relatively new installation) I removed smf and reinstalled it (again with fantastico). The same problems occur. No access at all. I get the following errors:

Notice: Only variables should be assigned by reference in /home/travelad/public_html/smf/Sources/Subs.php on line 232

Notice: Undefined index: is_admin in /home/travelad/public_html/smf/Sources/Security.php on line 556

Notice: Undefined index: permissions in /home/travelad/public_html/smf/Sources/Security.php on line 563

Warning: in_array(): Wrong datatype for second argument in /home/travelad/public_html/smf/Sources/Security.php on line 563
session_start(): Cannot send session cookie - headers already sent by (output started at /home/travelad/public_html/smf/Sources/Subs.php:232)

Checking files Subs.php it appears to be identical with version 1.0.3
Your help will be greatly appreciated.
Costas

PHP 4.4.0 Compatibility (http://www.simplemachines.org/community/index.php?topic=41955.0)
Title: Re: SMF 1.0.5 released
Post by: costas on August 29, 2005, 05:55:41 PM
I am amazed from the speed of response. You are great. I will see what I can do.
Thank you
Costas
Title: Re: SMF 1.0.5 released
Post by: dtm.exe on August 29, 2005, 05:58:09 PM
I am amazed from the speed of response. You are great. I will see what I can do.
Thank you
Costas


You're welcome :).
Title: Re: SMF 1.0.5 released
Post by: Jazhawk on August 29, 2005, 06:01:49 PM
I am amazed from the speed of response. You are great. I will see what I can do.
Thank you
Costas


Don't get used to it.  Sometimes it can take 5-10 minutes to hear back.  ;D

-Jazhawk
Title: Re: SMF 1.0.5 released
Post by: dtm.exe on August 29, 2005, 06:37:54 PM
Don't get used to it.  Sometimes it can take 5-10 minutes to hear back.  ;D

-Jazhawk

We try our best to answer any and all questions in an as little time as possible...
Title: Re: SMF 1.0.5 released
Post by: azuregenesis on August 30, 2005, 07:59:21 AM
Don't get used to it.  Sometimes it can take 5-10 minutes to hear back.  ;D

-Jazhawk

We try our best to answer any and all questions in an as little time as possible...

54 sec.... yup that's good ;)
Title: Re: SMF 1.0.5 released
Post by: mogadishu on September 09, 2005, 05:04:35 PM
With This "Updater" I can Update my SMF 1.1 Beta 3 Public??
Title: Re: SMF 1.0.5 released
Post by: [Unknown] on September 09, 2005, 05:15:56 PM
SMF 1.0.5 is older than 1.1 Beta 3 Public.  As stated many times in the release announcement, there is no way to downgrade.

-[Unknown]
Title: Re: SMF 1.0.5 released
Post by: 1MileCrash on September 22, 2005, 09:32:22 PM
when will 1.0.5 stop being supported?
Title: Re: SMF 1.0.5 released
Post by: dtm.exe on September 22, 2005, 09:36:04 PM
when will 1.0.5 stop being supported?

Possibly when 1.1 final is released.
Title: Re: SMF 1.0.5 released
Post by: [Unknown] on September 22, 2005, 09:48:58 PM
SMF 1.0.5 will still be supported even after 1.1 final is released, but we will stop recommending its use, and recommend instead 1.1 final.

-[Unknown]
Title: Re: SMF 1.0.5 released
Post by: CuTe_MaN on September 23, 2005, 05:51:12 PM
hi all

i have a problem and i hope to find a solution for it

when i login to my admin acount i cant see any of my inforamtion (messages and total time logged .......)

that r shown in the upper left corner

and also the news bar

it was working before but suddenly i can see them

i logged in with another user and every thing is ok

i hope that i can get help in it

thx alot
Title: Re: SMF 1.0.5 released
Post by: xenovanis on September 24, 2005, 01:42:52 AM
hi all

i have a problem and i hope to find a solution for it

when i login to my admin acount i cant see any of my inforamtion (messages and total time logged .......)

that r shown in the upper left corner

and also the news bar

it was working before but suddenly i can see them

i logged in with another user and every thing is ok

i hope that i can get help in it

thx alot

Have you tried clicking this image (https://www.simplemachines.org/community/proxy.php?request=http%3A%2F%2Fwww.simplemachines.org%2Fcommunity%2FThemes%2Fdefault%2Fimages%2Fupshrink2.gif&hash=b5a61540794eedd2472a333acfd0afd2) next to the homebutton?
Title: Re: SMF 1.0.5 released
Post by: Esé on October 02, 2005, 12:03:23 PM
It would be cool if I could convert my ipb board to smf 1.0.5. Anyone know of a method I can ?

Thanks!
Title: Re: SMF 1.0.5 released
Post by: dtm.exe on October 02, 2005, 12:04:32 PM
It would be cool if I could upload my ipb board to smf 1.0.5. Anyone know of a method I can ?

Thanks!

http://www.simplemachines.org/download.php?converters

Use the IPB converter.
Title: Re: SMF 1.0.5 released
Post by: Esé on October 02, 2005, 12:11:09 PM
Sweet. Saved about a day of moving posts lol.

I downloaded "invision2_to_smf.php", do I just stick it in the forum that i have for ipb, and run this, (eg www.______.com/forum/invision2_to_smf.php )
Title: Re: SMF 1.0.5 released
Post by: xenovanis on October 02, 2005, 03:00:16 PM
Sweet. Saved about a day of moving posts lol.

I downloaded "invision2_to_smf.php", do I just stick it in the forum that i have for ipb, and run this, (eg www.______.com/forum/invision2_to_smf.php )

Upload it to your smf location and run it from there.

READ ME: How do I convert from other software? (http://www.simplemachines.org/community/index.php?topic=26551.0)
Title: Re: SMF 1.0.5 released
Post by: rebelbah on October 12, 2005, 04:00:10 PM
how can i stop guest from printing from my message forum/board i want to allow reg usere to prinf but not guest
Title: Re: SMF 1.0.5 released
Post by: Owdy on October 12, 2005, 04:03:30 PM
There will be allways printing feature in browser. You cant stop it. You can hide that button, but not printing.
Title: Re: SMF 1.0.5 released
Post by: rebelbah on October 12, 2005, 04:23:56 PM
i know they can print useing the browser but how do i hide the print button from guest and not members ??
Title: Re: SMF 1.0.5 released
Post by: xenovanis on October 12, 2005, 10:15:38 PM
i know they can print useing the browser but how do i hide the print button from guest and not members ??

Display.template.php find (twice)

Code: [Select]
$buttonArray[] = '<a href="' . $scripturl . '?action=printpage;topic=' . $context['current_topic'] . '.0" target="_blank">' . ($settings['use_image_buttons'] ? '<img src="' . $settings['images_url'] . '/' . $context['user']['language'] . '/print.gif" alt="' . $txt[465] . '" border="0" />' : $txt[465]) . '</a>';

add before
Code: [Select]
if ($context['user']['is_logged'])
Title: Re: SMF 1.0.5 released
Post by: serag777 on October 17, 2005, 03:55:00 PM
Thq very mach!!!
Title: Re: SMF 1.0.5 released
Post by: watchman23 on November 23, 2005, 05:54:58 PM
Hello, i'm a new member here and could really use some help in getting the new PHP installed and SMF 1.0.5.

My website is www.nwowatcher.com . About 3 days ago, the Forums stopped working, but everything else is still running.

We work through the Lunar server, and have been on it for the past 2 years, and with the SMF for the past year. Anyway, long story short, i have been responsible for the billing at Nwowatcher for the past year, and was not the one keeping tabs on the SMF information. The person who installed the SMF has 'gone missing' for the past 4 months, and i recieved no notification that i would have to upgrade the PHP in order for our forums to continue running..

Lunar told me to download the newest version, as well as winzip from www.downloads.com, (which i have done) and i have access to the C-Panel for nwowatcher.com, but have no clue how to get this latest version installed, and finally get our forums working properly again.. >:(

Any help would be GREATLY appreciated as soon as possible..

Thanks in advance for any technical assistance that can get this problem taken care of..

Peace
Mike
Title: Re: SMF 1.0.5 released
Post by: watchman23 on November 23, 2005, 06:09:57 PM
Sorry if it sounds like i'm being short, i've just been dealing with this for the past 3 days, and talking to Lunar, who just told me today that the problem was in the SMF upgrade. Just a little frustrated and would like to get this taken care of somehow... :P  As i said, i was unaware that an upgrade was needed in order for my forums to stay active. I'm new to Simple Machines here, even though our site has been using the installation for the past year or so..

Thanks for the help! :'(
Title: Re: SMF 1.0.5 released
Post by: run aweigh on November 24, 2005, 11:19:21 AM
for some weird reason I get a failure on the sources/.php file.  The chmod is set for write, but the package manager will not update the file.
Title: Re: SMF 1.0.5 released
Post by: sunshine on November 30, 2005, 03:40:26 AM
Hi
Icannot get to my forum to use the packet manager.......when I click on the link to go to my forum I get this error message pertaining to errors on line this and line that and so on...so how can I access my forum??

Regards
John
Title: Re: SMF 1.0.5 released
Post by: Pennine ARL on January 02, 2006, 11:12:24 AM
Can anyone help I am recieving this error message when logging onto my forum


Notice: Only variables should be assigned by reference in /home/pennecou/public_html/guestbook/Sources/Subs.php on line 232

Notice: Undefined index: is_admin in /home/pennecou/public_html/guestbook/Sources/Security.php on line 556

Notice: Undefined index: permissions in /home/pennecou/public_html/guestbook/Sources/Security.php on line 563

Warning: in_array(): Wrong datatype for second argument in /home/pennecou/public_html/guestbook/Sources/Security.php on line 563
session_start(): Cannot send session cookie - headers already sent by (output started at /home/pennecou/public_html/guestbook/Sources/Subs.php:232)

The website address is http://www.pennineleague.co.uk/guestbook/ (http://www.pennineleague.co.uk/guestbook/)
Title: Re: SMF 1.0.5 released
Post by: Trekkie101 on January 02, 2006, 11:13:17 AM
http://www.simplemachines.org/community/index.php?topic=41955.0

PHP 4.4.X Compatability Patch.
Title: Re: SMF 1.0.5 released
Post by: Pennine ARL on January 02, 2006, 11:33:32 AM
Cheers Trekkie, works fine now.
Title: Re: SMF 1.0.5 released
Post by: climber on January 03, 2006, 01:29:09 AM
I installed 1.0.5 over my previous version just as instructed in the readme. I am not able to use the p[ackage manager due to gzip not on my server.  when I run it now all that is displayed is the word

 index

!!!!

any help would sincerely be appreciated. the site forum is

http://www.neclimbs.com/smf_bbs/
Title: Re: SMF 1.0.5 released
Post by: xenovanis on January 03, 2006, 08:17:34 AM
Upload all files from the updatepackage again. No need to run upgrade.
Title: Re: SMF 1.0.5 released
Post by: climber on January 03, 2006, 08:59:03 AM
OK, tried that. same thing going on. displays nothing but the word index.
Title: Re: SMF 1.0.5 released
Post by: xenovanis on January 03, 2006, 09:04:26 AM
You might want to try another ftp-client, as your current filesystem seems to be incomplete:

http://www.neclimbs.com/smf_bbs/Themes/default/images/www.gif

And try uploading just the /Themes directory again.
Title: Re: SMF 1.0.5 released
Post by: climber on January 03, 2006, 09:23:25 AM
OK, so it seems that whatever I did trashed my filesystem. I downloaded the

 smf_1-0-5_update.zip

package. I didn't really look at it other than to read the readme file & then copy it all up to the server & run upgrade.php. I most certainly do not have all the files any more, as you pointed out. no onder it won't work!

so, can I d/l the full package 1.0.5 and reinstall it? I don't have any mods to the board & I have all my tables backed up as well as a copy saved locally. I could save out my settings file & then just copy it over the new one once the u/l is done. is the only thing modified by the install program the settings file?

thanks
Title: Re: SMF 1.0.5 released
Post by: climber on January 03, 2006, 09:39:23 AM
apparently Transmit, my FTP program of choice (Macintost), replaces folders rather than merges them. so when I followed the instructions in the readme I totally overwrote the folders on the server with the new ones. of course that means that a lot of stuff was left out. <sigh>

I have now uploaded all the files from a full install to my server & it seems to be working again. HOWEVER, when I try & move a post to another topic I get the following error message

Duplicate entry '0-3' for key 2
File: /services1/webpages/n/e/neclimbs.com/public/smf_bbs/Sources/MoveTopic.php
Line: 215

this is in fact what prompted me to do the upgrade to begin with!
Title: Re: SMF 1.0.5 released
Post by: Owain on January 18, 2006, 05:46:16 PM
I installed the SMF 1.1 RC2 and I was wondering how easy it is to roll back to 1.0.5??

O.
Title: Re: SMF 1.0.5 released
Post by: MH-MINI on January 18, 2006, 06:40:33 PM
You can't.

Mini